#### PyKDE - Python Bindings for KDE

# class KDataTool |
Table of contents
Modules
kio Classes
All Classes

Module | kio
Class | KDataTool (abstract)
Inherits | QObject

### methods

- KDataTool (parent = 0, name = 0)

  returns a KDataTool instance
  Argument | Type | Default
  --- | --- | ---
  parent | QObject | 0
  name | char | 0

- instance ()

  returns (KInstance)

- run (command, data, datatype, mimetype) = 0

  returns (bool)
  pure virtual
  Argument | Type | Default
  --- | --- | ---
  command | QString |
  data | void |
  datatype | QString |
  mimetype | QString |

- setInstance (instance)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  instance | KInstance |